Subject: arm gcc on cygwin
From: David Starks-Browning <[email-masked]>
To: qiao guopei <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 3 Aug 2001 09:25:24 +0100

On Friday 3 Aug 01, qiao guopei writes:
> When I compile the program using "arm-elf-gcc" cross compile in cygwin
> envrionment, the errors are as follows:
> 
> Assembler messages:
>   for reading.open
> : No such file or directory
> 
> What's the problem?
> There are no errors if I run as follows:
> arm-elf-gcc -S test.c
> arm-elf-as test.s

This may be off-topic for the cygwin list.  But it's very interesting,
because the same thing happens to me using prc-tools, which is a
m68k-palmos target for gcc, under cygwin.

If you compile with 'arm-elf-gcc -v', I'll bet you'll find that
arm-elf-as is called with no arguments.  '/bin/strings as.exe' points
to

	"Can't open %s for reading."

as the real message, which gets munged somehow.

Apologies to the rest of the cygwin list.  I did spend time at
<http://sources.redhat.com/ml/crossgcc/> but nothing looked relevant,
which makes me suspect this is Cygwin-related.  (I don't assert it,
just suspect it. :-)

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/